hosc-0.15: Haskell Open Sound Control

Safe Haskell | None
Language | Haskell98

Sound.OSC.Transport.FD.TCP

Description

OSC over TCP implementation.

Synopsis

- data TCP = TCP {
  - tcpHandle :: Handle
  }
- openTCP :: String -> Int -> IO TCP
- tcpServer' :: Int -> (TCP -> IO ()) -> IO ()

# Documentation

data TCP Source #

The TCP transport handle data type.

Constructors

TCP |

Fields

- tcpHandle :: Handle

Instances

Transport TCP Source # |
Methods sendOSC :: OSC o => TCP -> o -> IO () Source # recvPacket :: TCP -> IO Packet Source # close :: TCP -> IO () Source #

openTCP :: String -> Int -> IO TCP Source #

Make a `TCP` connection.

tcpServer' :: Int -> (TCP -> IO ()) -> IO () Source #

A trivial `TCP` OSC server.